Skip to main content
PATCH
/
v1
/
auth
/
api-keys
/
{key_id}
Update Api Key
curl --request PATCH \
  --url https://api.faces.sh/v1/auth/api-keys/{key_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "budget_usd": 123,
  "reset_spent": false,
  "allowed_face_ids": [
    "<string>"
  ],
  "allowed_llm_models": [
    "<string>"
  ],
  "clear_iam_allowlist": false,
  "clear_llm_allowlist": false,
  "clear_budget": false
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Headers

authorization
string | null

Path Parameters

key_id
string
required

Body

application/json
name
string | null
budget_usd
number | null
reset_spent
boolean
default:false
allowed_face_ids
string[] | null
allowed_llm_models
string[] | null
clear_iam_allowlist
boolean
default:false
clear_llm_allowlist
boolean
default:false
clear_budget
boolean
default:false

Response

Successful Response